get plan version
curl --request GET \
--url https://api.unprice.dev/v1/plans/versions/get/{planVersionId} \
--header 'Authorization: Bearer <token>'{
"planVersion": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"planId": "<string>",
"description": "<string>",
"latest": true,
"title": "<string>",
"tags": [
"<string>"
],
"active": true,
"publishedAt": 123,
"publishedBy": "<string>",
"archived": true,
"archivedAt": 123,
"archivedBy": "<string>",
"billingConfig": {
"name": "<string>",
"billingIntervalCount": 30,
"billingAnchor": 16
},
"gracePeriod": 123,
"trialUnits": 123,
"autoRenew": true,
"metadata": {
"externalId": "<string>"
},
"paymentMethodRequired": true,
"version": 123,
"plan": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"slug": "<string>",
"title": "<string>",
"active": true,
"description": "<string>",
"metadata": {
"externalId": "<string>"
},
"defaultPlan": true,
"enterprisePlan": true
},
"planFeatures": [
{
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"planVersionId": "<string>",
"featureId": "<string>",
"unitOfMeasure": "<string>",
"config": {
"price": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"tiers": [
{
"unitPrice": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"flatPrice": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"firstUnit": 2,
"lastUnit": 2,
"label": "<string>"
}
],
"units": 2
},
"billingConfig": {
"name": "<string>",
"billingIntervalCount": 30,
"billingAnchor": 16
},
"metadata": {
"realtime": false,
"notifyUsageThreshold": 95,
"overageStrategy": "none",
"blockCustomer": false,
"hidden": false
},
"order": 123,
"displayFeatureText": "<string>",
"feature": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"slug": "<string>",
"code": 123,
"unitOfMeasure": "<string>",
"title": "<string>",
"description": "<string>",
"meterConfig": {
"eventId": "<string>",
"eventSlug": "<string>",
"aggregationField": "<string>",
"filters": {},
"groupBy": [
"<string>"
]
}
},
"resetConfig": {
"name": "<string>",
"resetIntervalCount": 30,
"resetAnchor": 16
},
"defaultQuantity": 1,
"limit": 123,
"meterConfig": {
"eventId": "<string>",
"eventSlug": "<string>",
"aggregationField": "<string>",
"filters": {},
"groupBy": [
"<string>"
]
}
}
],
"flatPrice": "<string>"
}
}plans
get plan version
Get a plan version by id
GET
/
v1
/
plans
/
versions
/
get
/
{planVersionId}
get plan version
curl --request GET \
--url https://api.unprice.dev/v1/plans/versions/get/{planVersionId} \
--header 'Authorization: Bearer <token>'{
"planVersion": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"planId": "<string>",
"description": "<string>",
"latest": true,
"title": "<string>",
"tags": [
"<string>"
],
"active": true,
"publishedAt": 123,
"publishedBy": "<string>",
"archived": true,
"archivedAt": 123,
"archivedBy": "<string>",
"billingConfig": {
"name": "<string>",
"billingIntervalCount": 30,
"billingAnchor": 16
},
"gracePeriod": 123,
"trialUnits": 123,
"autoRenew": true,
"metadata": {
"externalId": "<string>"
},
"paymentMethodRequired": true,
"version": 123,
"plan": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"slug": "<string>",
"title": "<string>",
"active": true,
"description": "<string>",
"metadata": {
"externalId": "<string>"
},
"defaultPlan": true,
"enterprisePlan": true
},
"planFeatures": [
{
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"planVersionId": "<string>",
"featureId": "<string>",
"unitOfMeasure": "<string>",
"config": {
"price": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"tiers": [
{
"unitPrice": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"flatPrice": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"firstUnit": 2,
"lastUnit": 2,
"label": "<string>"
}
],
"units": 2
},
"billingConfig": {
"name": "<string>",
"billingIntervalCount": 30,
"billingAnchor": 16
},
"metadata": {
"realtime": false,
"notifyUsageThreshold": 95,
"overageStrategy": "none",
"blockCustomer": false,
"hidden": false
},
"order": 123,
"displayFeatureText": "<string>",
"feature": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"slug": "<string>",
"code": 123,
"unitOfMeasure": "<string>",
"title": "<string>",
"description": "<string>",
"meterConfig": {
"eventId": "<string>",
"eventSlug": "<string>",
"aggregationField": "<string>",
"filters": {},
"groupBy": [
"<string>"
]
}
},
"resetConfig": {
"name": "<string>",
"resetIntervalCount": 30,
"resetAnchor": 16
},
"defaultQuantity": 1,
"limit": 123,
"meterConfig": {
"eventId": "<string>",
"eventSlug": "<string>",
"aggregationField": "<string>",
"filters": {},
"groupBy": [
"<string>"
]
}
}
],
"flatPrice": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The plan version id
Example:
"pv_1H7KQFLr7RepUyQBKdnvY"
Response
The result of the get plan version
Complete API response schema for a plan version including plan details, all features with display text, and calculated pricing
Show child attributes
Show child attributes
⌘I

